package com.huiju.estateagents.service;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaQrcode;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 二维码管理表 服务类
 * </p>
 *
 * @author fxf
 * @since 2020-05-20
 */
public interface ITaQrcodeService extends IService<TaQrcode> {

    ResponseBean listQrCodeByCondition(Integer pageNum, Integer pageSize, String targetType, String targetName, Integer channelId, String buildingId, Integer orgId);

    ResponseBean saveQrcode(TaQrcode taQrcode, Integer userId, Integer orgId);

    ResponseBean getStatisticData(Integer qrCodeId, Integer orgId);

}
